# React Typescript Template with TailwindCSS + Framer Motion + Vite

Starter template React + Typescript + Vite + TailwindCSS + Framer Motion❤

# What is Included in the Template?

Provide teknologi uses in the template:

- react
- react-router-dom@v6
- typescript
- use-between [sharing state between components](https://github.com/betula/use-between)
- vite
- tailwindcss 3 (https://tailwindcss.com/)
- framer Motion ( Animation )
- prettier-plugin-tailwindcss 
- prettier


# Getting Started

## Installation
If you already have it installed, proceed below
```
 npx cli-template-doc
```
## Option
- template-vite-react-tailwindcss-typescript



## Usage

Install the dependencies and devDependencies and start the server.

```
cd <your project>
yarn
yarn dev
```

**enjoy the project! 😁❤**
